Bug 496035 - Key stroke delay does not work properly anymore
Key stroke delay does not work properly anymore
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: keepassx (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
https://sourceforge.net/tracker/?func...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-16 04:19 EDT by Piergiorgio Sartor
Modified: 2009-04-21 20:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.4.0-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 20:52:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2009-04-16 04:19:50 EDT
Description of problem:
Under "settings->advanced" there is the possibility to set, for the auto-type feature, the "Pre-Gap" and the "Key Stroke Delay".
For several reasons, I had these set to 500ms and 10ms.
After the latest upgrade the "Key Stroke Delay" seems to have some problems.

Version-Release number of selected component (if applicable):
keepassx-0.4.0-1.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1.
Set "Key Stroke Delay" to something different than 0ms (10ms, in my case)
2.
Try to auto-type login & password somewhere
  
Actual results:
The key stroke delay is huge, somehow seconds, instead of milliseconds.

Expected results:
The key stroke delay should be by far shorter.

Additional info:
This was working fine with the previous keepassx 0.3.4
Comment 1 Aurelien Bompard 2009-04-17 16:53:15 EDT
OK, I've reproduced it and I've submitted a bug upstream:
https://sourceforge.net/tracker/?func=detail&aid=2771387&group_id=166631&atid=839779

I'll update the bug here when there is news.
Thanks for reporting !!
Comment 2 Aurelien Bompard 2009-04-18 05:09:59 EDT
I have a reply: this bug is already fixed upstream in SVN. I'm backporting it.
Comment 3 Piergiorgio Sartor 2009-04-18 09:09:12 EDT
(In reply to comment #2)
> I have a reply: this bug is already fixed upstream in SVN. I'm backporting it.  

Oh! That's good news!

Thanks a lot!

pg
Comment 4 Fedora Update System 2009-04-18 16:35:45 EDT
keepassx-0.4.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/keepassx-0.4.0-2.fc10
Comment 5 Fedora Update System 2009-04-21 20:51:59 EDT
keepassx-0.4.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.